Bug 1404932 - e2fsprogs included non-free code
Summary: e2fsprogs included non-free code
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Czerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-12-15 06:59 UTC by mejiko
Modified: 2017-12-12 10:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 10:38:50 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 840733 None None None 2016-12-15 07:11 UTC

Description mejiko 2016-12-15 06:59:17 UTC
Hello.

e2fsprogs included non-free code.


File List:

e2fsprogs-1.43.3/lib/et/test_cases/imap_err.et

This code license is not permit commercial use.
It is non-free.

I suggest that resolve license problem.

Thanks.

Comment 1 Eric Sandeen 2016-12-15 23:38:53 UTC
Hohum, that change never even hit the list.

Ted has said he'll remove it for the next release.  Until then -

Is patching it out sufficient via the specfile sufficient, or do I need to create a custom tarball?  I'm guessing the latter, which is doable, I guess.  Does it have to be expunged from koji?  Bleah.

I'll await guidance, I guess.

-Eric

Comment 2 Fedora Admin XMLRPC Client 2016-12-21 15:00:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Eric Sandeen 2016-12-21 15:08:02 UTC
Oh, I see - as Lukas points out it's been there since 2005.  Clearly we won't be expunging this from all old releases.

Perhaps best to just let it get fixed upstream and pull in with the next release.

-Eric

Comment 4 Fedora End Of Life 2017-11-16 19:43:49 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:38:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.